# The database vendor.
db={{ keycloak_db_vendor }}

# The username of the database user.
db-username={{ keycloak_db_username }}

# The password of the database user.
db-password={{ keycloak_db_password }}
 
# The full database JDBC URL. If not provided, a default URL is set based on the selected database vendor.
db-url=jdbc:postgresql://{{ groups['db'][0] }}/{{ keycloak_db_name }}

# Observability

# If the server should expose metrics and healthcheck endpoints.
metrics-enabled=true

# HTTP

# The file path to a server certificate or certificate chain in PEM format.
https-certificate-file={{ keycloak_workfolder }}/conf/server.crt.pem

# The file path to a private key in PEM format.
https-certificate-key-file={{ keycloak_workfolder }}/conf/server.key.pem


# Hostname for the Keycloak server.
hostname={{ ansible_host }}:8443

#http-enabled=true

# Logs
log-console-output=default
log=console,file
log-file=/var/log/keycloak.log
